#!/usr/bin/env python




##################################################
## DEPENDENCIES
import sys
import os
import os.path
from os.path import getmtime, exists
import time
import types
import __builtin__
from Cheetah.Version import MinCompatibleVersion as RequiredCheetahVersion
from Cheetah.Version import MinCompatibleVersionTuple as RequiredCheetahVersionTuple
from Cheetah.Template import Template
from Cheetah.DummyTransaction import DummyTransaction
from Cheetah.NameMapper import NotFound, valueForName, valueFromSearchList, valueFromFrameOrSearchList
from Cheetah.CacheRegion import CacheRegion
import Cheetah.Filters as Filters
import Cheetah.ErrorCatchers as ErrorCatchers

##################################################
## MODULE CONSTANTS
try:
    True, False
except NameError:
    True, False = (1==1), (1==0)
VFFSL=valueFromFrameOrSearchList
VFSL=valueFromSearchList
VFN=valueForName
currentTime=time.time
__CHEETAH_version__ = '2.0rc8'
__CHEETAH_versionTuple__ = (2, 0, 0, 'candidate', 8)
__CHEETAH_genTime__ = 1192082083.444865
__CHEETAH_genTimestamp__ = 'Thu Oct 11 01:54:43 2007'
__CHEETAH_src__ = 'skeleton.tmpl'
__CHEETAH_srcLastModified__ = 'Thu Oct 11 01:54:41 2007'
__CHEETAH_docstring__ = 'Autogenerated by CHEETAH: The Python-Powered Template Engine'

if __CHEETAH_versionTuple__ < RequiredCheetahVersionTuple:
    raise AssertionError(
      'This template was compiled with Cheetah version'
      ' %s. Templates compiled before version %s must be recompiled.'%(
         __CHEETAH_version__, RequiredCheetahVersion))

##################################################
## CLASSES

class skeleton(Template):

    ##################################################
    ## CHEETAH GENERATED METHODS


    def __init__(self, *args, **KWs):

        Template.__init__(self, *args, **KWs)
        if not self._CHEETAH__instanceInitialized:
            cheetahKWArgs = {}
            allowedKWs = 'searchList namespaces filter filtersLib errorCatcher'.split()
            for k,v in KWs.items():
                if k in allowedKWs: cheetahKWArgs[k] = v
            self._initCheetahInstance(**cheetahKWArgs)
        

    def respond(self, trans=None):



        ## CHEETAH: main method generated for this template
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        write('''<html>
<head><title>''')
        _v = VFFSL(SL,"title",True) # '$title' on line 2, col 14
        if _v is not None: write(_filter(_v, rawExpr='$title')) # from line 2, col 14.
        write('''</title>
  <link href="static/favicon.ico" type="image/x-icon" rel="shortcut icon">
  <link rel="stylesheet" href="static/style.css" type="text/css" />
  <link rel="stylesheet" href="static/layout.css" type="text/css" media="screen" />
  <script type="text/javascript">
var helpWin = null;
function closeWin(){
\tif (helpWin != null){
\t\tif(!helpWin.closed)
\t\t\thelpWin.close();
\t}
}

function helppopup(name){
   closeWin()
   helpWin = window.open("help?simple=true&subject="+encodeURIComponent(name), "Help",
"status, height = 300, width = 400");
   if (window.focus){helpWin.focus();}
   return false;
}
</script>
</head>
<body>
''')
        if not VFFSL(SL,"varExists",False)('simple') or not VFFSL(SL,"simple",True): # generated from line 25, col 1
            write('''<p>[You are logged in as ''')
            _v = VFFSL(SL,"user.username",True) # '$user.username' on line 26, col 26
            if _v is not None: write(_filter(_v, rawExpr='$user.username')) # from line 26, col 26.
            write('''.]</p>
<p><a href="list">List</a> 
''')
            if VFFSL(SL,"varExists",False)('machine'): # generated from line 28, col 1
                write('''<a href="info?machine_id=''')
                _v = VFFSL(SL,"machine.machine_id",True) # '$machine.machine_id' on line 29, col 26
                if _v is not None: write(_filter(_v, rawExpr='$machine.machine_id')) # from line 29, col 26.
                write('''">Info</a>
<a href="vnc?machine_id=''')
                _v = VFFSL(SL,"machine.machine_id",True) # '$machine.machine_id' on line 30, col 25
                if _v is not None: write(_filter(_v, rawExpr='$machine.machine_id')) # from line 30, col 25.
                write('''">Console</a>
''')
            write('''<a href="help">Help</a></p>
''')
        _v = VFFSL(SL,"body",True) # '$body' on line 34, col 1
        if _v is not None: write(_filter(_v, rawExpr='$body')) # from line 34, col 1.
        write('''
''')
        if not VFFSL(SL,"varExists",False)('simple') or not VFFSL(SL,"simple",True): # generated from line 35, col 1
            write('''<hr />
Questions? Contact <a href="mailto:sipb-xen-dev@mit.edu">sipb-xen-dev@mit.edu</a>.
''')
        write('''</body>
</html>
''')
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        
    ##################################################
    ## CHEETAH GENERATED ATTRIBUTES


    _CHEETAH__instanceInitialized = False

    _CHEETAH_version = __CHEETAH_version__

    _CHEETAH_versionTuple = __CHEETAH_versionTuple__

    _CHEETAH_genTime = __CHEETAH_genTime__

    _CHEETAH_genTimestamp = __CHEETAH_genTimestamp__

    _CHEETAH_src = __CHEETAH_src__

    _CHEETAH_srcLastModified = __CHEETAH_srcLastModified__

    _mainCheetahMethod_for_skeleton= 'respond'

## END CLASS DEFINITION

if not hasattr(skeleton, '_initCheetahAttributes'):
    templateAPIClass = getattr(skeleton, '_CHEETAH_templateClass', Template)
    templateAPIClass._addCheetahPlumbingCodeToClass(skeleton)


# CHEETAH was developed by Tavis Rudd and Mike Orr
# with code, advice and input from many other volunteers.
# For more information visit http://www.CheetahTemplate.org/

##################################################
## if run from command line:
if __name__ == '__main__':
    from Cheetah.TemplateCmdLineIface import CmdLineIface
    CmdLineIface(templateObj=skeleton()).run()


